Loading...
Searching...
No Matches
Dune::GridGlue::Extractor< GV, cd >::SubEntityInfo Struct Reference

Holds some information about an element's subentity involved in a coupling. More...

`#include <dune/grid-glue/extractors/extractor.hh>`

## Public Member Functions

| SubEntityInfo ()
| SubEntityInfo (IndexType parent_, unsigned int num_in_parent_, const Dune::GeometryType &geometryType)
unsigned int | nCorners () const

## Public Attributes

IndexType | parent
| the index of the parent element (from index set)
unsigned int | num_in_parent: 3
| the number of the face in the parent element
Dune::GeometryType | geometryType_
| The GeometryType of the subentity.
CornerInfo | corners [cube_corners]
| the corner indices plus the numbers of the vertices in the parent element

## Detailed Description

template<typename GV, int cd>
struct Dune::GridGlue::Extractor< GV, cd >::SubEntityInfo

Holds some information about an element's subentity involved in a coupling.

## Constructor & Destructor Documentation

## SubEntityInfo() [1/2]

template<typename GV, int cd>

Dune::GridGlue::Extractor< GV, cd >::SubEntityInfo::SubEntityInfo | ( |  | ) |

inline

## SubEntityInfo() [2/2]

template<typename GV, int cd>

Dune::GridGlue::Extractor< GV, cd >::SubEntityInfo::SubEntityInfo | ( | IndexType | parent_,
|  | unsigned int | num_in_parent_,
|  | const Dune::GeometryType & | geometryType )

inline

## Member Function Documentation

## nCorners()

template<typename GV, int cd>

unsigned int Dune::GridGlue::Extractor< GV, cd >::SubEntityInfo::nCorners | ( |  | ) | const

inline

## Member Data Documentation

## corners

template<typename GV, int cd>

CornerInfo Dune::GridGlue::Extractor< GV, cd >::SubEntityInfo::corners[cube_corners]

the corner indices plus the numbers of the vertices in the parent element

This array has the length cube_corners, because currently that is an upper bound for the number of corners of an element. If more general element types appear we need to change this.

## geometryType_

template<typename GV, int cd>

Dune::GeometryType Dune::GridGlue::Extractor< GV, cd >::SubEntityInfo::geometryType_

The GeometryType of the subentity.

## num_in_parent

template<typename GV, int cd>

unsigned int Dune::GridGlue::Extractor< GV, cd >::SubEntityInfo::num_in_parent

the number of the face in the parent element

## parent

template<typename GV, int cd>

IndexType Dune::GridGlue::Extractor< GV, cd >::SubEntityInfo::parent

the index of the parent element (from index set)

The documentation for this struct was generated from the following file:

- extractor.hh